<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrFarmSpecialAbnormalDetailMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrFarmSpecialAbnormalDetail">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="busexclist" column="BUSEXCLIST" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="lerep" column="LEREP" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="specause" column="SPECAUSE" jdbcType="VARCHAR"/>
            <result property="specauseCn" column="SPECAUSE_CN" jdbcType="VARCHAR"/>
            <result property="abntime" column="ABNTIME" jdbcType="DATE"/>
            <result property="decorg" column="DECORG" jdbcType="VARCHAR"/>
            <result property="decorgCn" column="DECORG_CN" jdbcType="VARCHAR"/>
            <result property="ismove" column="ISMOVE" jdbcType="VARCHAR"/>
            <result property="remexcpres" column="REMEXCPRES" jdbcType="VARCHAR"/>
            <result property="remexcpresCn" column="REMEXCPRES_CN" jdbcType="VARCHAR"/>
            <result property="remdate" column="REMDATE" jdbcType="DATE"/>
            <result property="redecorg" column="REDECORG" jdbcType="VARCHAR"/>
            <result property="redecorgCn" column="REDECORG_CN" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,BUSEXCLIST,PRIPID,
        ENTNAME,UNISCID,REGNO,
        LEREP,CERTYPE,CERNO,
        SPECAUSE,SPECAUSE_CN,ABNTIME,
        DECORG,DECORG_CN,ISMOVE,
        REMEXCPRES,REMEXCPRES_CN,REMDATE,
        REDECORG,REDECORG_CN,S_EXT_DATATIME,
        uni_code
    </sql>
</mapper>
